# Create Task

## Create a new task

<mark style="color:green;">`POST`</mark> `/api/v1/tasks`

Use this endpoint to create tasks in Monolith.

**Body**

| Name                   | Type         | Description                                                        |
| ---------------------- | ------------ | ------------------------------------------------------------------ |
| `task_name` (required) | string       | Name of task.                                                      |
| `case_id` (required)   | number       | Case to be linked to task.                                         |
| `description`          | string       | Description of task.                                               |
| `due_date`             | Date         | <p>Due date of the task<br>"YYYY-MM-DD"</p>                        |
| `assignees`            | number array | Array of user\_id values used to assign users to the created task. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/tasks-api/create-task.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
